package bubble.rule.request;

import org.cobbzilla.util.io.regex.RegexLimitedReplacementFilter;

import java.util.regex.Pattern;

public class HttpHeaderReplacementFilter extends RegexLimitedReplacementFilter {
    private static final String HTTP_HEADER_BORDER_REGEX = "\r?\n\r?\n";

    private HttpHeaderReplacementFilter(String regex, int group, String replacement, String stopRegex,
                                        int stopRegexMatchingFlags) {
        // should not be used
    }

    public HttpHeaderReplacementFilter(String regex, String replacement) {
        super(regex, 0, replacement, HTTP_HEADER_BORDER_REGEX, Pattern.MULTILINE);
    }
}
